type CrossRefSingle = [number, string, number, number];
type CrossRefRange = [...CrossRefSingle, number, number];
export type BookCrossReferences = Record<string, Record<string, (CrossRefSingle | CrossRefRange)[]>>;
export declare function download_data(): Promise<Record<string, BookCrossReferences>>;
/**
 * Prepare the OB cross reference data to be converted to JSON
 *
 * @param content The Open Bible cross reference content to parse
 *
 * @returns The data prepared for JSON conversion
 */
export declare function cross_references_to_json(content: string): Record<string, BookCrossReferences>;
/**
 * An interface for describing an extracted reference
 */
export interface OBBibleReference {
    book: string;
    usx: string;
    start_chapter: number;
    start_verse: number;
    end_chapter: number;
    end_verse: number;
    is_range: boolean;
}
/**
 * Extract the Bible reference
 *
 * @param reference The bible reference
 *
 * @returns Details about the passage
 */
export declare function extract_reference(reference: string): OBBibleReference | null;
export declare const openbible_to_usx_book: Record<string, string>;
export {};
