import { join } from "path";
import { rmSync, writeFileSync } from "fs";
import StreamZip from "node-stream-zip";
import { clean_dir, PKG_PATH, request } from "./utils.js";
async function update_bmc(version = "0.0.8") {
  const dir = join(PKG_PATH, "bmc");
  const zip_path = join(dir, "download.zip");
  const url = `https://github.com/schierlm/BibleMultiConverter/releases/download/v${version}/BibleMultiConverter-AllInOneEdition-${version}.zip`;
  clean_dir(dir);
  const zip = await request(url, "arrayBuffer");
  writeFileSync(zip_path, Buffer.from(zip));
  await new StreamZip.async({ file: zip_path }).extract(null, dir);
  rmSync(zip_path);
}
export {
  update_bmc
};
//# sourceMappingURL=bmc.js.map
