import type { MetaTranslationName, MetaCopyright, TranslationLiteralness, TranslationTag } from './shared_types';
export interface CollectionConfig {
    integrations: {
        aws: {
            bucket: string;
            region: string;
            cloudfront: string;
        };
    };
}
export type ServiceId = 'ebible' | 'dbl' | 'door43';
export interface TranslationSource {
    service: ServiceId | 'manual';
    format: 'usfm' | 'usx';
    updated: string;
    revision: number;
    url: string | null;
}
export interface CommonSourceMeta {
    name: MetaTranslationName;
    year: number | null;
    direction: 'ltr' | 'rtl';
    copyright: MetaCopyright;
    tags: TranslationTag[];
}
export interface TranslationSourceMeta extends CommonSourceMeta {
    ids: Partial<Record<ServiceId, string>>;
    literalness: TranslationLiteralness;
    source: TranslationSource;
    notes?: string;
    modified?: boolean;
}
export interface NotesSourceMeta extends CommonSourceMeta {
}
